summaryrefslogtreecommitdiff
path: root/Makefile.in
blob: bce64e71f0e190a28622d88a0df9eacd763bdbb2 (plain)
    1 # Makefile.in generated by automake 1.12.2 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2012 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 VPATH = @srcdir@
   17 am__make_dryrun = \
   18   { \
   19     am__dry=no; \
   20     case $$MAKEFLAGS in \
   21       *\\[\ \	]*) \
   22         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
   23           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
   24       *) \
   25         for am__flg in $$MAKEFLAGS; do \
   26           case $$am__flg in \
   27             *=*|--*) ;; \
   28             *n*) am__dry=yes; break;; \
   29           esac; \
   30         done;; \
   31     esac; \
   32     test $$am__dry = yes; \
   33   }
   34 pkgdatadir = $(datadir)/@PACKAGE@
   35 pkgincludedir = $(includedir)/@PACKAGE@
   36 pkglibdir = $(libdir)/@PACKAGE@
   37 pkglibexecdir = $(libexecdir)/@PACKAGE@
   38 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   39 install_sh_DATA = $(install_sh) -c -m 644
   40 install_sh_PROGRAM = $(install_sh) -c
   41 install_sh_SCRIPT = $(install_sh) -c
   42 INSTALL_HEADER = $(INSTALL_DATA)
   43 transform = $(program_transform_name)
   44 NORMAL_INSTALL = :
   45 PRE_INSTALL = :
   46 POST_INSTALL = :
   47 NORMAL_UNINSTALL = :
   48 PRE_UNINSTALL = :
   49 POST_UNINSTALL = :
   50 subdir = .
   51 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
   52 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
   53 	$(top_srcdir)/configure AUTHORS ChangeLog INSTALL TODO depcomp \
   54 	install-sh missing mkinstalldirs
   55 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   56 am__aclocal_m4_deps = $(top_srcdir)/configure.in
   57 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   58 	$(ACLOCAL_M4)
   59 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   60  configure.lineno config.status.lineno
   61 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
   62 CONFIG_HEADER = config.h
   63 CONFIG_CLEAN_FILES =
   64 CONFIG_CLEAN_VPATH_FILES =
   65 SOURCES =
   66 DIST_SOURCES =
   67 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
   68 	html-recursive info-recursive install-data-recursive \
   69 	install-dvi-recursive install-exec-recursive \
   70 	install-html-recursive install-info-recursive \
   71 	install-pdf-recursive install-ps-recursive install-recursive \
   72 	installcheck-recursive installdirs-recursive pdf-recursive \
   73 	ps-recursive uninstall-recursive
   74 am__can_run_installinfo = \
   75   case $$AM_UPDATE_INFO_DIR in \
   76     n|no|NO) false;; \
   77     *) (install-info --version) >/dev/null 2>&1;; \
   78   esac
   79 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   80   distclean-recursive maintainer-clean-recursive
   81 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
   82 	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
   83 	cscope distdir dist dist-all distcheck
   84 ETAGS = etags
   85 CTAGS = ctags
   86 CSCOPE = cscope
   87 DIST_SUBDIRS = $(SUBDIRS)
   88 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   89 distdir = $(PACKAGE)-$(VERSION)
   90 top_distdir = $(distdir)
   91 am__remove_distdir = \
   92   if test -d "$(distdir)"; then \
   93     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
   94       && rm -rf "$(distdir)" \
   95       || { sleep 5 && rm -rf "$(distdir)"; }; \
   96   else :; fi
   97 am__post_remove_distdir = $(am__remove_distdir)
   98 am__relativize = \
   99   dir0=`pwd`; \
  100   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  101   sed_rest='s,^[^/]*/*,,'; \
  102   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  103   sed_butlast='s,/*[^/]*$$,,'; \
  104   while test -n "$$dir1"; do \
  105     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  106     if test "$$first" != "."; then \
  107       if test "$$first" = ".."; then \
  108         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  109         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  110       else \
  111         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  112         if test "$$first2" = "$$first"; then \
  113           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  114         else \
  115           dir2="../$$dir2"; \
  116         fi; \
  117         dir0="$$dir0"/"$$first"; \
  118       fi; \
  119     fi; \
  120     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  121   done; \
  122   reldir="$$dir2"
  123 DIST_ARCHIVES = $(distdir).tar.gz
  124 GZIP_ENV = --best
  125 DIST_TARGETS = dist-gzip
  126 distuninstallcheck_listfiles = find . -type f -print
  127 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  128   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  129 distcleancheck_listfiles = find . -type f -print
  130 ACLOCAL = @ACLOCAL@
  131 AMTAR = @AMTAR@
  132 AUTOCONF = @AUTOCONF@
  133 AUTOHEADER = @AUTOHEADER@
  134 AUTOMAKE = @AUTOMAKE@
  135 AWK = @AWK@
  136 CC = @CC@
  137 CCDEPMODE = @CCDEPMODE@
  138 CFLAGS = @CFLAGS@
  139 CPP = @CPP@
  140 CPPFLAGS = @CPPFLAGS@
  141 CXX = @CXX@
  142 CXXDEPMODE = @CXXDEPMODE@
  143 CXXFLAGS = @CXXFLAGS@
  144 CYGPATH_W = @CYGPATH_W@
  145 DEFS = @DEFS@
  146 DEPDIR = @DEPDIR@
  147 ECHO_C = @ECHO_C@
  148 ECHO_N = @ECHO_N@
  149 ECHO_T = @ECHO_T@
  150 EGREP = @EGREP@
  151 EXEEXT = @EXEEXT@
  152 GREP = @GREP@
  153 INSTALL = @INSTALL@
  154 INSTALL_DATA = @INSTALL_DATA@
  155 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  156 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  157 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  158 LDFLAGS = @LDFLAGS@
  159 LIBOBJS = @LIBOBJS@
  160 LIBS = @LIBS@
  161 LTLIBOBJS = @LTLIBOBJS@
  162 MAKEINFO = @MAKEINFO@
  163 MKDIR_P = @MKDIR_P@
  164 OBJEXT = @OBJEXT@
  165 PACKAGE = @PACKAGE@
  166 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  167 PACKAGE_NAME = @PACKAGE_NAME@
  168 PACKAGE_STRING = @PACKAGE_STRING@
  169 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  170 PACKAGE_URL = @PACKAGE_URL@
  171 PACKAGE_VERSION = @PACKAGE_VERSION@
  172 PATH_SEPARATOR = @PATH_SEPARATOR@
  173 SET_MAKE = @SET_MAKE@
  174 SHELL = @SHELL@
  175 STRIP = @STRIP@
  176 VERSION = @VERSION@
  177 abs_builddir = @abs_builddir@
  178 abs_srcdir = @abs_srcdir@
  179 abs_top_builddir = @abs_top_builddir@
  180 abs_top_srcdir = @abs_top_srcdir@
  181 ac_ct_CC = @ac_ct_CC@
  182 ac_ct_CXX = @ac_ct_CXX@
  183 am__include = @am__include@
  184 am__leading_dot = @am__leading_dot@
  185 am__quote = @am__quote@
  186 am__tar = @am__tar@
  187 am__untar = @am__untar@
  188 bindir = @bindir@
  189 build_alias = @build_alias@
  190 builddir = @builddir@
  191 datadir = @datadir@
  192 datarootdir = @datarootdir@
  193 docdir = @docdir@
  194 dvidir = @dvidir@
  195 exec_prefix = @exec_prefix@
  196 host_alias = @host_alias@
  197 htmldir = @htmldir@
  198 includedir = @includedir@
  199 infodir = @infodir@
  200 install_sh = @install_sh@
  201 libdir = @libdir@
  202 libexecdir = @libexecdir@
  203 localedir = @localedir@
  204 localstatedir = @localstatedir@
  205 mandir = @mandir@
  206 mkdir_p = @mkdir_p@
  207 oldincludedir = @oldincludedir@
  208 pdfdir = @pdfdir@
  209 prefix = @prefix@
  210 program_transform_name = @program_transform_name@
  211 psdir = @psdir@
  212 sbindir = @sbindir@
  213 sharedstatedir = @sharedstatedir@
  214 srcdir = @srcdir@
  215 sysconfdir = @sysconfdir@
  216 target_alias = @target_alias@
  217 top_build_prefix = @top_build_prefix@
  218 top_builddir = @top_builddir@
  219 top_srcdir = @top_srcdir@
  220 AUTOMAKE_OPTIONS = foreign
  221 MAINTAINERCLEANFILES = aclocal.m4 config.h.in configure Makefile.in stamp-h.in
  222 SUBDIRS = src doc misc  
  223 EXTRA_DIST = CREDITS FAQ LICENSE
  224 all: config.h
  225 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  226 
  227 .SUFFIXES:
  228 am--refresh: Makefile
  229 	@:
  230 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  231 	@for dep in $?; do \
  232 	  case '$(am__configure_deps)' in \
  233 	    *$$dep*) \
  234 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  235 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  236 		&& exit 0; \
  237 	      exit 1;; \
  238 	  esac; \
  239 	done; \
  240 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  241 	$(am__cd) $(top_srcdir) && \
  242 	  $(AUTOMAKE) --foreign Makefile
  243 .PRECIOUS: Makefile
  244 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  245 	@case '$?' in \
  246 	  *config.status*) \
  247 	    echo ' $(SHELL) ./config.status'; \
  248 	    $(SHELL) ./config.status;; \
  249 	  *) \
  250 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  251 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  252 	esac;
  253 
  254 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  255 	$(SHELL) ./config.status --recheck
  256 
  257 $(top_srcdir)/configure:  $(am__configure_deps)
  258 	$(am__cd) $(srcdir) && $(AUTOCONF)
  259 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  260 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  261 $(am__aclocal_m4_deps):
  262 
  263 config.h: stamp-h1
  264 	@if test ! -f $@; then rm -f stamp-h1; else :; fi
  265 	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
  266 
  267 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  268 	@rm -f stamp-h1
  269 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  270 $(srcdir)/config.h.in:  $(am__configure_deps) 
  271 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  272 	rm -f stamp-h1
  273 	touch $@
  274 
  275 distclean-hdr:
  276 	-rm -f config.h stamp-h1
  277 
  278 # This directory's subdirectories are mostly independent; you can cd
  279 # into them and run 'make' without going through this Makefile.
  280 # To change the values of 'make' variables: instead of editing Makefiles,
  281 # (1) if the variable is set in 'config.status', edit 'config.status'
  282 #     (which will cause the Makefiles to be regenerated when you run 'make');
  283 # (2) otherwise, pass the desired values on the 'make' command line.
  284 $(RECURSIVE_TARGETS) $(RECURSIVE_CLEAN_TARGETS):
  285 	@fail= failcom='exit 1'; \
  286 	for f in x $$MAKEFLAGS; do \
  287 	  case $$f in \
  288 	    *=* | --[!k]*);; \
  289 	    *k*) failcom='fail=yes';; \
  290 	  esac; \
  291 	done; \
  292 	dot_seen=no; \
  293 	target=`echo $@ | sed s/-recursive//`; \
  294 	case "$@" in \
  295 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  296 	  *) list='$(SUBDIRS)' ;; \
  297 	esac; \
  298 	for subdir in $$list; do \
  299 	  echo "Making $$target in $$subdir"; \
  300 	  if test "$$subdir" = "."; then \
  301 	    dot_seen=yes; \
  302 	    local_target="$$target-am"; \
  303 	  else \
  304 	    local_target="$$target"; \
  305 	  fi; \
  306 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  307 	  || eval $$failcom; \
  308 	done; \
  309 	if test "$$dot_seen" = "no"; then \
  310 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  311 	fi; test -z "$$fail"
  312 tags-recursive:
  313 	list='$(SUBDIRS)'; for subdir in $$list; do \
  314 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  315 	done
  316 ctags-recursive:
  317 	list='$(SUBDIRS)'; for subdir in $$list; do \
  318 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  319 	done
  320 cscopelist-recursive:
  321 	list='$(SUBDIRS)'; for subdir in $$list; do \
  322 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) cscopelist); \
  323 	done
  324 
  325 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  326 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  327 	unique=`for i in $$list; do \
  328 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  329 	  done | \
  330 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  331 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  332 	mkid -fID $$unique
  333 tags: TAGS
  334 
  335 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  336 		$(TAGS_FILES) $(LISP)
  337 	set x; \
  338 	here=`pwd`; \
  339 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  340 	  include_option=--etags-include; \
  341 	  empty_fix=.; \
  342 	else \
  343 	  include_option=--include; \
  344 	  empty_fix=; \
  345 	fi; \
  346 	list='$(SUBDIRS)'; for subdir in $$list; do \
  347 	  if test "$$subdir" = .; then :; else \
  348 	    test ! -f $$subdir/TAGS || \
  349 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  350 	  fi; \
  351 	done; \
  352 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  353 	unique=`for i in $$list; do \
  354 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  355 	  done | \
  356 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  357 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  358 	shift; \
  359 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  360 	  test -n "$$unique" || unique=$$empty_fix; \
  361 	  if test $$# -gt 0; then \
  362 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  363 	      "$$@" $$unique; \
  364 	  else \
  365 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  366 	      $$unique; \
  367 	  fi; \
  368 	fi
  369 ctags: CTAGS
  370 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  371 		$(TAGS_FILES) $(LISP)
  372 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  373 	unique=`for i in $$list; do \
  374 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  375 	  done | \
  376 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  377 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  378 	test -z "$(CTAGS_ARGS)$$unique" \
  379 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  380 	     $$unique
  381 
  382 GTAGS:
  383 	here=`$(am__cd) $(top_builddir) && pwd` \
  384 	  && $(am__cd) $(top_srcdir) \
  385 	  && gtags -i $(GTAGS_ARGS) "$$here"
  386 
  387 cscope: cscope.files
  388 	test ! -s cscope.files \
  389 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  390 
  391 clean-cscope:
  392 	-rm -f cscope.files
  393 
  394 cscope.files: clean-cscope cscopelist-recursive cscopelist
  395 
  396 cscopelist: cscopelist-recursive $(HEADERS) $(SOURCES) $(LISP)
  397 	list='$(SOURCES) $(HEADERS) $(LISP)'; \
  398 	case "$(srcdir)" in \
  399 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  400 	  *) sdir=$(subdir)/$(srcdir) ;; \
  401 	esac; \
  402 	for i in $$list; do \
  403 	  if test -f "$$i"; then \
  404 	    echo "$(subdir)/$$i"; \
  405 	  else \
  406 	    echo "$$sdir/$$i"; \
  407 	  fi; \
  408 	done >> $(top_builddir)/cscope.files
  409 
  410 distclean-tags:
  411 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  412 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  413 
  414 distdir: $(DISTFILES)
  415 	$(am__remove_distdir)
  416 	test -d "$(distdir)" || mkdir "$(distdir)"
  417 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  418 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  419 	list='$(DISTFILES)'; \
  420 	  dist_files=`for file in $$list; do echo $$file; done | \
  421 	  sed -e "s|^$$srcdirstrip/||;t" \
  422 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  423 	case $$dist_files in \
  424 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  425 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  426 			   sort -u` ;; \
  427 	esac; \
  428 	for file in $$dist_files; do \
  429 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  430 	  if test -d $$d/$$file; then \
  431 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  432 	    if test -d "$(distdir)/$$file"; then \
  433 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  434 	    fi; \
  435 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  436 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  437 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  438 	    fi; \
  439 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  440 	  else \
  441 	    test -f "$(distdir)/$$file" \
  442 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  443 	    || exit 1; \
  444 	  fi; \
  445 	done
  446 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  447 	  if test "$$subdir" = .; then :; else \
  448 	    $(am__make_dryrun) \
  449 	      || test -d "$(distdir)/$$subdir" \
  450 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
  451 	      || exit 1; \
  452 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  453 	    $(am__relativize); \
  454 	    new_distdir=$$reldir; \
  455 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  456 	    $(am__relativize); \
  457 	    new_top_distdir=$$reldir; \
  458 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  459 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  460 	    ($(am__cd) $$subdir && \
  461 	      $(MAKE) $(AM_MAKEFLAGS) \
  462 	        top_distdir="$$new_top_distdir" \
  463 	        distdir="$$new_distdir" \
  464 		am__remove_distdir=: \
  465 		am__skip_length_check=: \
  466 		am__skip_mode_fix=: \
  467 	        distdir) \
  468 	      || exit 1; \
  469 	  fi; \
  470 	done
  471 	-test -n "$(am__skip_mode_fix)" \
  472 	|| find "$(distdir)" -type d ! -perm -755 \
  473 		-exec chmod u+rwx,go+rx {} \; -o \
  474 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  475 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  476 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  477 	|| chmod -R a+r "$(distdir)"
  478 dist-gzip: distdir
  479 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  480 	$(am__post_remove_distdir)
  481 
  482 dist-bzip2: distdir
  483 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  484 	$(am__post_remove_distdir)
  485 
  486 dist-lzip: distdir
  487 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  488 	$(am__post_remove_distdir)
  489 
  490 dist-xz: distdir
  491 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  492 	$(am__post_remove_distdir)
  493 
  494 dist-tarZ: distdir
  495 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  496 	$(am__post_remove_distdir)
  497 
  498 dist-shar: distdir
  499 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  500 	$(am__post_remove_distdir)
  501 
  502 dist-zip: distdir
  503 	-rm -f $(distdir).zip
  504 	zip -rq $(distdir).zip $(distdir)
  505 	$(am__post_remove_distdir)
  506 
  507 dist dist-all:
  508 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  509 	$(am__post_remove_distdir)
  510 
  511 # This target untars the dist file and tries a VPATH configuration.  Then
  512 # it guarantees that the distribution is self-contained by making another
  513 # tarfile.
  514 distcheck: dist
  515 	case '$(DIST_ARCHIVES)' in \
  516 	*.tar.gz*) \
  517 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  518 	*.tar.bz2*) \
  519 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  520 	*.tar.lz*) \
  521 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  522 	*.tar.xz*) \
  523 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  524 	*.tar.Z*) \
  525 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  526 	*.shar.gz*) \
  527 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  528 	*.zip*) \
  529 	  unzip $(distdir).zip ;;\
  530 	esac
  531 	chmod -R a-w $(distdir); chmod u+w $(distdir)
  532 	mkdir $(distdir)/_build
  533 	mkdir $(distdir)/_inst
  534 	chmod a-w $(distdir)
  535 	test -d $(distdir)/_build || exit 0; \
  536 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  537 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  538 	  && am__cwd=`pwd` \
  539 	  && $(am__cd) $(distdir)/_build \
  540 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  541 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  542 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  543 	  && $(MAKE) $(AM_MAKEFLAGS) \
  544 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  545 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  546 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  547 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  548 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  549 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  550 	        distuninstallcheck \
  551 	  && chmod -R a-w "$$dc_install_base" \
  552 	  && ({ \
  553 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  554 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  555 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  556 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  557 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  558 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  559 	  && rm -rf "$$dc_destdir" \
  560 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  561 	  && rm -rf $(DIST_ARCHIVES) \
  562 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  563 	  && cd "$$am__cwd" \
  564 	  || exit 1
  565 	$(am__post_remove_distdir)
  566 	@(echo "$(distdir) archives ready for distribution: "; \
  567 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  568 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  569 distuninstallcheck:
  570 	@test -n '$(distuninstallcheck_dir)' || { \
  571 	  echo 'ERROR: trying to run $@ with an empty' \
  572 	       '$$(distuninstallcheck_dir)' >&2; \
  573 	  exit 1; \
  574 	}; \
  575 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  576 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  577 	  exit 1; \
  578 	}; \
  579 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  580 	   || { echo "ERROR: files left after uninstall:" ; \
  581 	        if test -n "$(DESTDIR)"; then \
  582 	          echo "  (check DESTDIR support)"; \
  583 	        fi ; \
  584 	        $(distuninstallcheck_listfiles) ; \
  585 	        exit 1; } >&2
  586 distcleancheck: distclean
  587 	@if test '$(srcdir)' = . ; then \
  588 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  589 	  exit 1 ; \
  590 	fi
  591 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  592 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  593 	       $(distcleancheck_listfiles) ; \
  594 	       exit 1; } >&2
  595 check-am: all-am
  596 check: check-recursive
  597 all-am: Makefile config.h
  598 installdirs: installdirs-recursive
  599 installdirs-am:
  600 install: install-recursive
  601 install-exec: install-exec-recursive
  602 install-data: install-data-recursive
  603 uninstall: uninstall-recursive
  604 
  605 install-am: all-am
  606 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  607 
  608 installcheck: installcheck-recursive
  609 install-strip:
  610 	if test -z '$(STRIP)'; then \
  611 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  612 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  613 	      install; \
  614 	else \
  615 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  616 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  617 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  618 	fi
  619 mostlyclean-generic:
  620 
  621 clean-generic:
  622 
  623 distclean-generic:
  624 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  625 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  626 
  627 maintainer-clean-generic:
  628 	@echo "This command is intended for maintainers to use"
  629 	@echo "it deletes files that may require special tools to rebuild."
  630 	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  631 clean: clean-recursive
  632 
  633 clean-am: clean-generic mostlyclean-am
  634 
  635 distclean: distclean-recursive
  636 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  637 	-rm -f Makefile
  638 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  639 
  640 dvi: dvi-recursive
  641 
  642 dvi-am:
  643 
  644 html: html-recursive
  645 
  646 html-am:
  647 
  648 info: info-recursive
  649 
  650 info-am:
  651 
  652 install-data-am:
  653 
  654 install-dvi: install-dvi-recursive
  655 
  656 install-dvi-am:
  657 
  658 install-exec-am:
  659 
  660 install-html: install-html-recursive
  661 
  662 install-html-am:
  663 
  664 install-info: install-info-recursive
  665 
  666 install-info-am:
  667 
  668 install-man:
  669 
  670 install-pdf: install-pdf-recursive
  671 
  672 install-pdf-am:
  673 
  674 install-ps: install-ps-recursive
  675 
  676 install-ps-am:
  677 
  678 installcheck-am:
  679 
  680 maintainer-clean: maintainer-clean-recursive
  681 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  682 	-rm -rf $(top_srcdir)/autom4te.cache
  683 	-rm -f Makefile
  684 maintainer-clean-am: distclean-am maintainer-clean-generic
  685 
  686 mostlyclean: mostlyclean-recursive
  687 
  688 mostlyclean-am: mostlyclean-generic
  689 
  690 pdf: pdf-recursive
  691 
  692 pdf-am:
  693 
  694 ps: ps-recursive
  695 
  696 ps-am:
  697 
  698 uninstall-am:
  699 
  700 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
  701 	cscopelist-recursive ctags-recursive install-am install-strip \
  702 	tags-recursive
  703 
  704 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
  705 	all all-am am--refresh check check-am clean clean-cscope \
  706 	clean-generic cscope cscopelist cscopelist-recursive ctags \
  707 	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-lzip \
  708 	dist-shar dist-tarZ dist-xz dist-zip distcheck distclean \
  709 	distclean-generic distclean-hdr distclean-tags distcleancheck \
  710 	distdir distuninstallcheck dvi dvi-am html html-am info \
  711 	info-am install install-am install-data install-data-am \
  712 	install-dvi install-dvi-am install-exec install-exec-am \
  713 	install-html install-html-am install-info install-info-am \
  714 	install-man install-pdf install-pdf-am install-ps \
  715 	install-ps-am install-strip installcheck installcheck-am \
  716 	installdirs installdirs-am maintainer-clean \
  717 	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  718 	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
  719 
  720 
  721 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  722 # Otherwise a system limit (for SysV at least) may be exceeded.
  723 .NOEXPORT:

Generated by cgit